[jitsi-users] unstable repo update error message: "The following signatures couldn't be verified.."


#1

hi, all,

i am a Kubuntu (15.10) user and new to jitsi, and i'd like to subscribe to
the nightly-builds repository. but i seem to encounter a problem when
connecting according to the instructions at jitsi.org.

first, before doing anything, i run

$ sudo apt-get -y update

just to make sure i am up to date on my system.

then, when i go to the jitsi download page (https://jitsi.org/Main/Download),
and, under the JITSI 2.9 NIGHTLY BUILDS section, i click on the link to
"(you can also use our ubuntu repository
<https://jitsi.org/Main/DebianNightlyRepository>)", i am taken to this
page, https://jitsi.org/Main/DebianNightlyRepository , which has a single
line saying,

···

-----------------------------------------------------------

To use our debian/ubuntu nightly repository add this line to the list of
repositories "deb http://download.jitsi.org/nightly/deb unstable/".

-----------------------------------------------------------
so i take it that means i should put that line into one of the files in my
/etc/apt/sources.list.d/ directory?

so i do: i create a new file, "jitsi-unstable.list" in that directory, and
i put that single deb line into it.

okay. then i run update but get an error:

-----------------------------------------------------------

$ sudo apt-get -y update
Hit http://security.ubuntu.com wily-security InRelease
Hit http://us.archive.ubuntu.com wily InRelease
...
Hit http://us.archive.ubuntu.com wily-backports/multiverse Translation-en
Hit http://us.archive.ubuntu.com wily-backports/restricted Translation-en
Hit http://us.archive.ubuntu.com wily-backports/universe Translation-en
Fetched 72 B in 11s (6 B/s)
Reading package lists... Done
W: GPG error: http://download.jitsi.org unstable/ Release: The following
signatures couldn't be verified because the public key is not available:
NO_PUBKEY C697D823EB0AB654
$ _
-----------------------------------------------------------

what am i doing wrong?

thanks for any help you can provide.

-js


#2

Hi,

This is not an error, but a warning. After installing jitsi a key will
be added and this warning will disappear. You can also add the key
before installing with the following command:

wget -qO - https://download.jitsi.org/nightly/deb/unstable/archive.key

apt-key add -

Regards
damencho

···

On Thu, Feb 4, 2016 at 10:51 PM, jeff stern <jas.61803@gmail.com> wrote:

hi, all,

i am a Kubuntu (15.10) user and new to jitsi, and i'd like to subscribe to
the nightly-builds repository. but i seem to encounter a problem when
connecting according to the instructions at jitsi.org.

first, before doing anything, i run

$ sudo apt-get -y update

just to make sure i am up to date on my system.

then, when i go to the jitsi download page
(https://jitsi.org/Main/Download), and, under the JITSI 2.9 NIGHTLY BUILDS
section, i click on the link to "(you can also use our ubuntu repository)",
i am taken to this page, https://jitsi.org/Main/DebianNightlyRepository ,
which has a single line saying,

-----------------------------------------------------------

To use our debian/ubuntu nightly repository add this line to the list of
repositories "deb http://download.jitsi.org/nightly/deb unstable/".

-----------------------------------------------------------

so i take it that means i should put that line into one of the files in my
/etc/apt/sources.list.d/ directory?

so i do: i create a new file, "jitsi-unstable.list" in that directory, and
i put that single deb line into it.

okay. then i run update but get an error:

-----------------------------------------------------------

$ sudo apt-get -y update
Hit http://security.ubuntu.com wily-security InRelease
Hit http://us.archive.ubuntu.com wily InRelease
...
Hit http://us.archive.ubuntu.com wily-backports/multiverse Translation-en
Hit http://us.archive.ubuntu.com wily-backports/restricted Translation-en
Hit http://us.archive.ubuntu.com wily-backports/universe Translation-en
Fetched 72 B in 11s (6 B/s)
Reading package lists... Done
W: GPG error: http://download.jitsi.org unstable/ Release: The following
signatures couldn't be verified because the public key is not available:
NO_PUBKEY C697D823EB0AB654
$ _
-----------------------------------------------------------

what am i doing wrong?

thanks for any help you can provide.

-js

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#3

okay, thanks, damencho.

that seems to be true. i went ahead anyway and installed jitsi, and now i
don't get the error.

is this also the place, then, to contribute suggestions for web-site
improvements?

thanks,
-js

···

2016-02-04 21:14 GMT-08:00 Damian Minkov <damencho@jitsi.org>:

Hi,

This is not an error, but a warning. After installing jitsi a key will
be added and this warning will disappear. You can also add the key
before installing with the following command:

wget -qO - https://download.jitsi.org/nightly/deb/unstable/archive.key
> apt-key add -

Regards
damencho

On Thu, Feb 4, 2016 at 10:51 PM, jeff stern <jas.61803@gmail.com> wrote:
> hi, all,
>
> i am a Kubuntu (15.10) user and new to jitsi, and i'd like to subscribe
to
> the nightly-builds repository. but i seem to encounter a problem when
> connecting according to the instructions at jitsi.org.
>
> first, before doing anything, i run
>
> $ sudo apt-get -y update
>
> just to make sure i am up to date on my system.
>
> then, when i go to the jitsi download page
> (https://jitsi.org/Main/Download), and, under the JITSI 2.9 NIGHTLY
BUILDS
> section, i click on the link to "(you can also use our ubuntu
repository)",
> i am taken to this page, https://jitsi.org/Main/DebianNightlyRepository
,
> which has a single line saying,
>
> -----------------------------------------------------------
>
> To use our debian/ubuntu nightly repository add this line to the list of
> repositories "deb http://download.jitsi.org/nightly/deb unstable/".
>
> -----------------------------------------------------------
>
> so i take it that means i should put that line into one of the files in
my
> /etc/apt/sources.list.d/ directory?
>
> so i do: i create a new file, "jitsi-unstable.list" in that directory,
and
> i put that single deb line into it.
>
> okay. then i run update but get an error:
>
> -----------------------------------------------------------
>
> $ sudo apt-get -y update
> Hit http://security.ubuntu.com wily-security InRelease
> Hit http://us.archive.ubuntu.com wily InRelease
> ...
> Hit http://us.archive.ubuntu.com wily-backports/multiverse
Translation-en
> Hit http://us.archive.ubuntu.com wily-backports/restricted
Translation-en
> Hit http://us.archive.ubuntu.com wily-backports/universe Translation-en
> Fetched 72 B in 11s (6 B/s)
> Reading package lists... Done
> W: GPG error: http://download.jitsi.org unstable/ Release: The following
> signatures couldn't be verified because the public key is not available:
> NO_PUBKEY C697D823EB0AB654
> $ _
> -----------------------------------------------------------
>
> what am i doing wrong?
>
> thanks for any help you can provide.
>
> -js
>
> _______________________________________________
> users mailing list
> users@jitsi.org
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#4

Hi,

okay, thanks, damencho.

that seems to be true. i went ahead anyway and installed jitsi, and now i
don't get the error.

Great.

is this also the place, then, to contribute suggestions for web-site
improvements?

Yes.

Cheers
damencho

···

On Thu, Feb 4, 2016 at 11:24 PM, jeff stern <jas.61803@gmail.com> wrote:

thanks,
-js

2016-02-04 21:14 GMT-08:00 Damian Minkov <damencho@jitsi.org>:

Hi,

This is not an error, but a warning. After installing jitsi a key will
be added and this warning will disappear. You can also add the key
before installing with the following command:

wget -qO - https://download.jitsi.org/nightly/deb/unstable/archive.key
> apt-key add -

Regards
damencho

On Thu, Feb 4, 2016 at 10:51 PM, jeff stern <jas.61803@gmail.com> wrote:
> hi, all,
>
> i am a Kubuntu (15.10) user and new to jitsi, and i'd like to subscribe
> to
> the nightly-builds repository. but i seem to encounter a problem when
> connecting according to the instructions at jitsi.org.
>
> first, before doing anything, i run
>
> $ sudo apt-get -y update
>
> just to make sure i am up to date on my system.
>
> then, when i go to the jitsi download page
> (https://jitsi.org/Main/Download), and, under the JITSI 2.9 NIGHTLY
> BUILDS
> section, i click on the link to "(you can also use our ubuntu
> repository)",
> i am taken to this page, https://jitsi.org/Main/DebianNightlyRepository
> ,
> which has a single line saying,
>
> -----------------------------------------------------------
>
> To use our debian/ubuntu nightly repository add this line to the list of
> repositories "deb http://download.jitsi.org/nightly/deb unstable/".
>
> -----------------------------------------------------------
>
> so i take it that means i should put that line into one of the files in
> my
> /etc/apt/sources.list.d/ directory?
>
> so i do: i create a new file, "jitsi-unstable.list" in that directory,
> and
> i put that single deb line into it.
>
> okay. then i run update but get an error:
>
> -----------------------------------------------------------
>
> $ sudo apt-get -y update
> Hit http://security.ubuntu.com wily-security InRelease
> Hit http://us.archive.ubuntu.com wily InRelease
> ...
> Hit http://us.archive.ubuntu.com wily-backports/multiverse
> Translation-en
> Hit http://us.archive.ubuntu.com wily-backports/restricted
> Translation-en
> Hit http://us.archive.ubuntu.com wily-backports/universe Translation-en
> Fetched 72 B in 11s (6 B/s)
> Reading package lists... Done
> W: GPG error: http://download.jitsi.org unstable/ Release: The following
> signatures couldn't be verified because the public key is not available:
> NO_PUBKEY C697D823EB0AB654
> $ _
> -----------------------------------------------------------
>
> what am i doing wrong?
>
> thanks for any help you can provide.
>
> -js
>
> _______________________________________________
> users mailing list
> users@jitsi.org
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users


#5

okay, since it's html, i just put a proposed change/improvement up on a
gist (*) because i wasn't sure it would come through this email listserv
verbatim.

let me know if you'd like it another way though..

thanks again.
-js

(*) https://gist.github.com/androclus/ce9bd75fd98bcef7ae9f

···

2016-02-05 7:21 GMT-08:00 Damian Minkov <damencho@jitsi.org>:

> is this also the place, then, to contribute suggestions for web-site
> improvements?

Yes.


#6

Hi,

Thanks, I've updated the page.

Regards
damencho

···

On Fri, Feb 5, 2016 at 3:09 PM, jeff stern <jas.61803@gmail.com> wrote:

2016-02-05 7:21 GMT-08:00 Damian Minkov <damencho@jitsi.org>:

> is this also the place, then, to contribute suggestions for web-site
> improvements?

Yes.

okay, since it's html, i just put a proposed change/improvement up on a gist
(*) because i wasn't sure it would come through this email listserv
verbatim.

let me know if you'd like it another way though..

thanks again.
-js

(*) https://gist.github.com/androclus/ce9bd75fd98bcef7ae9f

_______________________________________________
users mailing list
users@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/users